package mtwm

import (
	"testing"

	"git.rosy.net.cn/jx-callback/business/jxutils/jxcontext"

	"git.rosy.net.cn/baseapi/utils"
	_ "git.rosy.net.cn/jx-callback/business/jxcallback/orderman"
	"git.rosy.net.cn/jx-callback/globals/testinit"
)

const (
	testShopVendorID = "2523687"
	testShopID       = 2
)

func init() {
	testinit.Init()
}

func TestGetVendorCategories(t *testing.T) {
	result, err := new(PurchaseHandler).GetVendorCategories(jxcontext.AdminCtx)
	if err != nil {
		t.Fatal(err)
	}
	t.Log(utils.Format4Output(result, false))
}
